Bug 1091812 (CVE-2014-0350) - CVE-2014-0350 poco: certificate validation issue
Summary: CVE-2014-0350 poco: certificate validation issue
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2014-0350
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1091813 1091814
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-28 06:28 UTC by Murray McAllister
Modified: 2019-09-29 13:16 UTC (History)
1 user (show)

Fixed In Version: poco 1.4.6p4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:32:43 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-04-28 06:28:32 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2014-0350 to
the following vulnerability:

Name: CVE-2014-0350
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0350
Assigned: 20131205
Reference: https://raw.githubusercontent.com/pocoproject/poco/poco-1.4.6p4-release/CHANGELOG
Reference: CERT-VN:VU#118748
Reference: http://www.kb.cert.org/vuls/id/118748

The Poco::Net::X509Certificate::verify method in the NetSSL library in
POCO C++ Libraries before 1.4.6p4 allows man-in-the-middle attackers
to spoof SSL servers via crafted DNS PTR records that are requested
during comparison of a server name to a wildcard domain name in an
X.509 certificate.

This issue has been fixed in version 1.4.6p4 and later.

Comment 1 Murray McAllister 2014-04-28 06:30:30 UTC
Created poco tracking bugs for this issue:

Affects: fedora-all [bug 1091813]
Affects: epel-all [bug 1091814]

Comment 3 Fedora Update System 2016-02-21 02:22:51 UTC
poco-1.4.2p1-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-02-21 16:28:07 UTC
poco-1.4.2p1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-02-26 06:56:48 UTC
poco-1.4.2p1-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-02-26 16:24:25 UTC
poco-1.3.5-10.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Product Security DevOps Team 2019-06-08 02:32:43 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.